# Network Interface IP Configuration Utility

A Python-based desktop application for managing and configuring network interfaces on Windows systems.


## Features

- **Easy IP Configuration**: Quickly set static IP addresses or enable DHCP
- **IP History**: Remembers previously used IP addresses for quick switching
- **Network Tools**: Built-in ping tool with continuous ping support
- **Network Scanner**: Discover active hosts on your network
- **Host Information**: Lookup hostname and MAC address information
- **MAC Vendor Lookup**: Identify device manufacturers by MAC address

## Key Functions

- Change IP address and subnet mask with administrator privileges
- Ping hosts with detailed response information
- Scan IP ranges to discover active hosts
- Save and restore network configurations
- View MAC addresses and vendor information

## Requirements

- Windows operating system
- Python 3.6+
- See requirements.txt for Python dependencies

## Installation

1. Clone this repository:
   ```
   git clone https://github.com/miguefinghub/IPchangeNG.git
   ```

2. Install required dependencies:
   ```
   pip install -r requirements.txt
   ```

3. Run the application:
   ```
   python menu-ip-change.py
   ```

Note: Administrative privileges are required to change network settings.

## Usage

See the [Wiki](wiki.md) for detailed usage instructions.

## License

[MIT License](LICENSE)

## Acknowledgements

- Uses various Python libraries for network operations
- MAC vendor lookup provided by the mac-vendor-lookup package